/*
 * Error code table for HPUX systems.
 */

struct {
        int   errNum;
        char *errCode;
    } ErrorCodeTab [] = {
    EDOM,              "EDOM",
    ERANGE,            "ERANGE",
    EPERM,             "EPERM",
    ENOENT,            "ENOENT",
    ESRCH,             "ESRCH",
    EINTR,             "EINTR",
    EIO,               "EIO",
    ENXIO,             "ENXIO",
    E2BIG,             "E2BIG",
    ENOEXEC,           "ENOEXEC",
    EBADF,             "EBADF",
    ECHILD,            "ECHILD",
    EAGAIN,            "EAGAIN",
    ENOMEM,            "ENOMEM",
    EACCES,            "EACCES",
    EFAULT,            "EFAULT",
    EBUSY,             "EBUSY",
    EEXIST,            "EEXIST",
    EXDEV,             "EXDEV",
    ENODEV,            "ENODEV",
    ENOTDIR,           "ENOTDIR",
    EISDIR,            "EISDIR",
    EINVAL,            "EINVAL",
    ENFILE,            "ENFILE",
    EMFILE,            "EMFILE",
    ENOTTY,            "ENOTTY",
    EFBIG,             "EFBIG",
    ENOSPC,            "ENOSPC",
    ESPIPE,            "ESPIPE",
    EROFS,             "EROFS",
    EMLINK,            "EMLINK",
    EPIPE,             "EPIPE",
    EDEADLK,           "EDEADLK",
    ENOLCK,            "ENOLCK",
    ENOTEMPTY,         "ENOTEMPTY",
    ENAMETOOLONG,      "ENAMETOOLONG",
    ENOSYS,            "ENOSYS",
    ENOTBLK,           "ENOTBLK",
    ETXTBSY,           "ETXTBSY",
    ENOMSG,            "ENOMSG",
    EIDRM,             "EIDRM",
    ECHRNG,            "ECHRNG",
    EL2NSYNC,          "EL2NSYNC",
    EL3HLT,            "EL3HLT",
    EL3RST,            "EL3RST",
    ELNRNG,            "ELNRNG",
    EUNATCH,           "EUNATCH",
    ENOCSI,            "ENOCSI",
    EL2HLT,            "EL2HLT",
#ifdef  __hp9000s800
    ENOSTR,            "ENOSTR",
    ENODATA,           "ENODATA",
    ETIME,             "ETIME",
    ENOSR,             "ENOSR",
    ENONET,            "ENONET",
    ENOPKG,            "ENOPKG",
    ENOLINK,           "ENOLINK",
    EADV,              "EADV",
    ESRMNT,            "ESRMNT",
    ECOMM,             "ECOMM",
    EPROTO,            "EPROTO",
    EMULTIHOP,         "EMULTIHOP",
    EDOTDOT,           "EDOTDOT",
    EBADMSG,           "EBADMSG",
#endif /* __hp9000s800 */
    ESTALE,            "ESTALE",
    EREMOTE,           "EREMOTE",
    ENOTSOCK,          "ENOTSOCK",
    EDESTADDRREQ,      "EDESTADDRREQ",
    EMSGSIZE,          "EMSGSIZE",
    EPROTOTYPE,        "EPROTOTYPE",
    ENOPROTOOPT,       "ENOPROTOOPT",
    EPROTONOSUPPORT,   "EPROTONOSUPPORT",
    ESOCKTNOSUPPORT,   "ESOCKTNOSUPPORT",
    EOPNOTSUPP,        "EOPNOTSUPP",
    EPFNOSUPPORT,      "EPFNOSUPPORT",
    EAFNOSUPPORT,      "EAFNOSUPPORT",
    EADDRINUSE,        "EADDRINUSE",
    EADDRNOTAVAIL,     "EADDRNOTAVAIL",
    ENETDOWN,          "ENETDOWN",
    ENETUNREACH,       "ENETUNREACH",
    ENETRESET,         "ENETRESET",
    ECONNABORTED,      "ECONNABORTED",
    ECONNRESET,        "ECONNRESET",
    ENOBUFS,           "ENOBUFS",
    EISCONN,           "EISCONN",
    ENOTCONN,          "ENOTCONN",
    ESHUTDOWN,         "ESHUTDOWN",
    ETOOMANYREFS,      "ETOOMANYREFS",
    ETIMEDOUT,         "ETIMEDOUT",
    ECONNREFUSED,      "ECONNREFUSED",
#ifdef  __hp9000s800
    EREFUSED,          "EREFUSED",
#endif /* __hp9000s800 */
    EREMOTERELEASE,    "EREMOTERELEASE",
    EHOSTDOWN,         "EHOSTDOWN",
    EHOSTUNREACH,      "EHOSTUNREACH",
    ENET,              "ENET",
    EALREADY,          "EALREADY",
    EINPROGRESS,       "EINPROGRESS",
    EWOULDBLOCK,       "EWOULDBLOCK",
    ELOOP,             "ELOOP",
    -1,                "UnknownError"};
