/*
 * Error code table for Xenix 286 and 386.
 */

struct {
        int   errNum;
        char *errCode;
    } ErrorCodeTab [] = {
    EPERM,             "EPERM",
    ENOENT,            "ENOENT",
    ESRCH,             "ESRCH",
    EINTR,             "EINTR",
    EIO,               "EIO",
    ENXIO,             "ENXIO",
    E2BIG,             "E2BIG",
    ENOEXEC,           "ENOEXEC",
    EBADF,             "EBADF",
    ECHILD,            "ECHILD",
    EAGAIN,            "EAGAIN",
    ENOMEM,            "ENOMEM",
    EACCES,            "EACCES",
    EFAULT,            "EFAULT",
    ENOTBLK,           "ENOTBLK",
    EBUSY,             "EBUSY",
    EEXIST,            "EEXIST",
    EXDEV,             "EXDEV",
    ENODEV,            "ENODEV",
    ENOTDIR,           "ENOTDIR",
    EISDIR,            "EISDIR",
    EINVAL,            "EINVAL",
    ENFILE,            "ENFILE",
    EMFILE,            "EMFILE",
    ENOTTY,            "ENOTTY",
    ETXTBSY,           "ETXTBSY",
    EFBIG,             "EFBIG",
    ENOSPC,            "ENOSPC",
    ESPIPE,            "ESPIPE",
    EROFS,             "EROFS",
    EMLINK,            "EMLINK",
    EPIPE,             "EPIPE",
    EDOM,              "EDOM",
    ERANGE,            "ERANGE",
    ENOMSG,            "ENOMSG",
    EIDRM,             "EIDRM",
#ifdef ECHRNG
    ECHRNG,            "ECHRNG",
    EL2NSYNC,          "EL2NSYNC",
    EL3HLT,            "EL3HLT",
    EL3RST,            "EL3RST",
    ELNRNG,            "ELNRNG",
    EUNATCH,           "EUNATCH",
    ENOCSI,            "ENOCSI",
    EL2HLT,            "EL2HLT",
#endif
    EDEADLK,           "EDEADLK",
    ENOLCK,            "ENOLCK",
#ifdef EBADE
    EBADE,             "EBADE",
    EBADR,             "EBADR",
    EXFULL,            "EXFULL",
    ENOANO,            "ENOANO",
    EBADRQC,           "EBADRQC",
    EBADSLT,           "EBADSLT",
#endif
    EDEADLOCK,         "EDEADLOCK",
#ifdef EBFONT
    EBFONT,            "EBFONT",
    ENOSTR,            "ENOSTR",
    ENODATA,           "ENODATA",
    ETIME,             "ETIME",
    ENOSR,             "ENOSR",
    ENONET,            "ENONET",
    ENOPKG,            "ENOPKG",
    EREMOTE,           "EREMOTE",
    ENOLINK,           "ENOLINK",
    EADV,              "EADV",
    ESRMNT,            "ESRMNT",
    ECOMM,             "ECOMM",
    EPROTO,            "EPROTO",
    EMULTIHOP,         "EMULTIHOP",
    ELBIN,             "ELBIN",
    EDOTDOT,           "EDOTDOT",
    EBADMSG,           "EBADMSG",
    ENOTUNIQ,          "ENOTUNIQ",
    EBADFD,            "EBADFD",
    EREMCHG,           "EREMCHG",
    ELIBACC,           "ELIBACC",
    ELIBBAD,           "ELIBBAD",
    ELIBSCN,           "ELIBSCN",
    ELIBMAX,           "ELIBMAX",
    ELIBEXEC,          "ELIBEXEC",
#endif
    EUCLEAN,           "EUCLEAN",
    ENOTNAM,           "ENOTNAM",
    ENAVAIL,           "ENAVAIL",
    EISNAM,            "EISNAM",
    EREMOTEIO,         "EREMOTEIO",
    EINIT,             "EINIT",
    EREMDEV,           "EREMDEV",
    -1,                "UnknownError"};
