
#==============================================================================
#
# Portable makefile for TCL extended commands sources.
# This section of this Makefile is extracted from Makefile.t by Configure.
#
# @(#) Makefile.t 2.3 10/2/90
#
#------------------------------------------------------------------------------

SHELL=/bin/sh

# This is for CFLAGS defined only in this Makefile

EXTRAOPTS=

OBJS= \
    boyermoo.o     bsearch.o      chartype.o     clock.o        cmdloop.o \
    custom.o       filescan.o     iocmds.o       math.o         oscmds.o  \
    permission.o   regexp.o       signal.o       string.o       trace.o   \
    translit.o     unixcmds.o     regexpcmds.o

BASEDIR= ../..

all: ${BASEDIR}/tcl.a

${BASEDIR}/tcl.a: $(OBJS) 
	ar cru ${BASEDIR}/tcl.a $(OBJS)
	$(RANLIB) ${BASEDIR}/tcl.a

clean:
	rm -f ${OBJS} tcl.a tcl.h

realclean: clean
	rm -f Makefile


