
#==============================================================================
#
# Portable makefile for TCL shell sources.
# This section of this Makefile is extracted from Makefile.t by Configure.
#
# @(#) Makefile.t 2.3 10/2/90
#
#------------------------------------------------------------------------------

SHELL=/bin/sh

# This is for CFLAGS defined only in this Makefile

EXTRAOPTS=

OBJS = main.o tclstartup.o

BASEDIR= ../..

all: $(BASEDIR)/tcl

tclstartup.o:	config.h patchlevel.h

$(BASEDIR)/tcl.a:	tclstartup.o
	ar cru $(BASEDIR)/tcl.a tclstartup.o
	$(RANLIB) $(BASEDIR)/tcl.a

${BASEDIR}/tcl:	$(BASEDIR)/tcl.a $(OBJS)
	cc ${CFLAGS} ${LINKFLAGS} main.o ${BASEDIR}/tcl.a ${LIBS} -o ${BASEDIR}/tcl
	$(STRIP) ${BASEDIR}/tcl
	$(MCS) ${BASEDIR}/tcl

clean:
	rm -f $(OBJS) tcl

realclean: clean
	rm -f config.vars config.h Makefile

