#
# this guy cracks the password file and produces a file containing a
# sorted list of users and indexes into the password file for those
# users,
#
# locate_user, also included, uses a binary search of the hash file to
# acquire the index, then seeks to that location and returns the user's
# entry
#
# this is intended to be a demo of tclu's file I/O capabilities
#
#
#


proc crack_passwd {} {

	set passwdfp [open /etc/passwd r]
	set hashfp [open "| sort >passwd.hash" w]
	set where 0

	while {[gets $passwdfp line]} {
		set username [index [split : $line] 0]
		puts $hashfp [concat $username $where]
		set where [tell $passwdfp]
	}

	close $passwdfp $hashfp
}

proc locate_user {username} {
	set hashfp [open passwd.hash r]
	set hashline [bsearch $hashfp "$username "]
	close $hashfp
	if [empty $hashline] return
	set passwdfp [open /etc/passwd r]
	seek $passwdfp $hashline
	gets $passwdfp passwdline
	close $passwdfp
	return $passwdline
}

